I2O_BLOCK_DEVICE_LOC(9)

NAME
i2o_block_device_lock - Locks the media of device dev

SYNOPSIS

int i2o_block_device_lock(struct i2o_device * dev, u32 media_id);

ARGUMENTS

dev
    I2O device which should receive the lock request

media_id
    Media Identifier

DESCRIPTION

Lock media of device dev to prevent removal. The media identifier should be set to -1, because the spec does not support any other value.

Returns 0 on success or negative error code on failure.

COPYRIGHT